# BalancedInstanceLootPlugin (Fork of InstanceLootPlugin)

*This is a temporary release of InstanceLootPlugin v2 for testing. It will be deprecated once the changes are merged into the [original](https://thunderstore.io/package/programit/InstanceBasedLoot/).*

This plugin is used to provide instance based loot when you're running with "Artifact of Sacrifice" and "Artifact of Command" enabled.

* Adds a console command `drop_rate <value>` to set a custom drop rate for items (0-100)
* Adds a shortcut `F3` to pull all unpicked items to you

Contributors:

* [tgrieger](https://github.com/tgrieger)
* Grey

## Changelog

2.0.1
- Fix bug causing drop rate to decrease when it shouldn't
- Fix NRE spam from F3 keybind
- [DropInMultiplayer] Focusing the Application will fix loot being non-interactable if a player joins after a level has loaded. This issue otherwise resolves automatically at the beginning of each stage.

2.0.0
- Fix: No longer will despawn items when Artifact of Command is not enabled
- Balance: Reduces item drops depending on the number of players when Artifact of Command and Artifact of Sacrifice are enabled.
- Configurations:
    - Enable/Disable custom drop rates
    - Minimum drop rate
    - Drop rate mulitplier

